### Method

# St Widget set_track_hover

#### Declaration [src]

    void
    st_widget_set_track_hover (
      StWidget* widget,
      gboolean track_hover
    )

#### Description [src]

Enables hover tracking on the `StWidget`.

If hover tracking is enabled, and the widget is visible and reactive, then `widget`‘s `StWidget:hover` property will be updated automatically to reflect whether the pointer is in `widget` (or one of its children), and `widget`‘s `StWidget:pseudo-class` will have the “hover” class added and removed from it accordingly.

Note that currently it is not possible to correctly track the hover state when another actor has a pointer grab. You can use `st_widget_sync_hover()` to update the property manually in this case.

Sets property | `St.Widget:track-hover`

#### Parameters

`track_hover`

  Type: `gboolean`

  `TRUE` if the widget should track the pointer hover state.